Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QListView.ResizeMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QListView.ResizeMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QListView

    public static final class QListView.ResizeMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QListView.ResizeMode` | `Adjust` The items will be laid out every time the view is resized.
`static QListView.ResizeMode` | `Fixed` The items will only be laid out the first time the view is shown.

Method Summary
`static QListView.ResizeMode` | `resolve(int value)` Returns the QListView$ResizeMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QListView.ResizeMode` | `valueOf(java.lang.String name)`
`static QListView.ResizeMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Fixed

    public static final QListView.ResizeMode Fixed

  The items will only be laid out the first time the view is shown.

### Adjust

    public static final QListView.ResizeMode Adjust

  The items will be laid out every time the view is resized.

Method Detail

### values

    public static QListView.ResizeMode[] values()

### valueOf

    public static QListView.ResizeMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QListView.ResizeMode resolve(int value)

  Returns the QListView$ResizeMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD